API Documentation

Build with the
Powered By Rental API

Integrate Powered By Rental with your existing systems using our comprehensive REST API.

RESTful Design

Clean, predictable API following REST principles.

Secure

OAuth2 authentication with granular permissions.

Well Documented

Comprehensive docs with examples in multiple languages.

Quick Start

Terminal
# Authenticate
curl -X POST https://api.powered.com/auth/token \
  -d "client_id=YOUR_ID" \
  -d "client_secret=YOUR_SECRET"

# Get customers
curl https://api.powered.com/v1/customers \
  -H "Authorization: Bearer YOUR_TOKEN"

Available Endpoints

GET/customersList all customers
POST/customersCreate a new customer
GET/hiresList all hires
POST/hiresCreate a new hire
GET/fleetList all equipment
POST/invoicesGenerate invoice

80+ endpoints available. Full documentation available to API customers.

Ready to Integrate?

API access is available on Professional and Enterprise plans.

Request API Access